"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.closeOldRuns = void 0;
const moment_1 = __importDefault(require("moment"));
const misc_1 = require("./misc");
const closeOldRuns = async (testrailAPI, config) => {
    if (config.runCloseAfterDays) {
        const { value: runsResult } = await (0, misc_1.throwOnApiError)(testrailAPI.getRuns(config.projectId, { is_completed: 0 }));
        const runs = runsResult.runs || [];
        if (runs.length) {
            for (let i = 0; i < runs.length; i++) {
                const shouldClose = moment_1.default.unix(runs[i].created_on) <=
                    (0, moment_1.default)().subtract(config.runCloseAfterDays, "days");
                if (shouldClose) {
                    console.log(`[TestRail] Closing test run ${runs[i].id}: ${runs[i].name}`);
                    await (0, misc_1.throwOnApiError)(testrailAPI.closeRun(runs[i].id));
                }
            }
        }
    }
};
exports.closeOldRuns = closeOldRuns;
