"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getAllTests = exports.getAllCases = void 0;
const misc_1 = require("./misc");
const getAllCases = async (testrailAPI, config) => {
    let { value: caseListResult } = await (0, misc_1.throwOnApiError)(testrailAPI.getCases(config.projectId, { suite_id: config.suiteId }));
    let cases = (caseListResult === null || caseListResult === void 0 ? void 0 : caseListResult.cases) || [];
    let offsetVal = 0;
    while (caseListResult._links.next !== null) {
        offsetVal += 250;
        ({ value: caseListResult } = await (0, misc_1.throwOnApiError)(testrailAPI.getCases(config.projectId, {
            suite_id: config.suiteId,
            offset: offsetVal,
        })));
        cases = cases.concat(caseListResult === null || caseListResult === void 0 ? void 0 : caseListResult.cases);
    }
    return cases;
};
exports.getAllCases = getAllCases;
const getAllTests = async (testrailAPI, runId) => {
    let { value: testsResult } = await (0, misc_1.throwOnApiError)(testrailAPI.getTests(runId));
    let tests = testsResult.tests || [];
    let offsetVal = 0;
    while (testsResult._links.next !== null) {
        offsetVal += 250;
        ({ value: testsResult } = await (0, misc_1.throwOnApiError)(testrailAPI.getTests(runId, { offset: offsetVal })));
        tests = tests.concat(testsResult.tests);
    }
    return tests;
};
exports.getAllTests = getAllTests;
