"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.uploadScreenshots = void 0;
const misc_1 = require("./misc");
const uploadScreenshots = async ({ tests, results, resultsToPush, screenshots, testrailAPI, }) => {
    console.log("[TestRail] Uploading screenshots...");
    for (let i = 0; i < resultsToPush.length; i++) {
        const test = tests.find((test) => test.case_id === resultsToPush[i].case_id);
        const result = results.find((result) => result.test_id === (test === null || test === void 0 ? void 0 : test.id));
        if (result) {
            const screenshotList = screenshots[resultsToPush[i].case_id];
            if (screenshotList) {
                for (let j = 0; j < screenshotList.length; j++) {
                    await (0, misc_1.throwOnApiError)(testrailAPI.addAttachmentToResult(result.id, screenshotList[j].screenshotPath));
                }
            }
        }
        else {
            console.error(`[TestRail] Could not upload screenshot for a failed test. Case ID: ${resultsToPush[i].caseId}. Test ID: ${test === null || test === void 0 ? void 0 : test.id}`);
        }
    }
};
exports.uploadScreenshots = uploadScreenshots;
